Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
Class JmxEventEmitter

    java.lang.Object
      javax.management.NotificationBroadcasterSupport
          groovy.jmx.builder.JmxEventEmitter

All Implemented Interfaces:
  JmxEventEmitterMBean, NotificationBroadcaster, NotificationEmitter

    public class JmxEventEmitter

extends NotificationBroadcasterSupport
implements JmxEventEmitterMBean

The JmxEventEmitter is a JMX Broadcaster class that is used to send generic events on the MBeanServer's event bus. It is used by the Emitter node () to send event to registered listeners.

         def jmx = JmxBuilder()
         jmx.emitter(name:"Object name"|ObjectName(), event:"event type")
         ...
         jmx.emitter.send(object)

Author:
  Vladimir Vivien
See Also:
  `JmxEmitterFactory`

Constructor Summary
`JmxEventEmitter()`

Method Summary
`String` | `getEvent()` Event type getter
`String` | `getMessage()` Event message getter
`long` | `send(Object data)` Called to broadcast message on MBeanServer event bus.
`void` | `setEvent(String event)` Event type setter
`void` | `setMessage(String message)` Event message setter.

Methods inherited from class javax.management.NotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JmxEventEmitter

    public JmxEventEmitter()

Method Detail

### getEvent

    public String getEvent()

  Event type getter

  Specified by:
    `getEvent` in interface `JmxEventEmitterMBean`
  Returns:
    - returns event type string thrown by this emitter

### setEvent

    public void setEvent(String event)

  Event type setter

  Specified by:
    `setEvent` in interface `JmxEventEmitterMBean`
  Parameters:
    `event` - - event type set for this emitter.

### getMessage

    public String getMessage()

  Event message getter

  Returns:
    - message that is associated with event.

### setMessage

    public void setMessage(String message)

  Event message setter.

  Parameters:
    `message` - - message that is associated with event emitted.

### send

    public long send(Object data)

  Called to broadcast message on MBeanServer event bus. Internally, it calls NotificationBroadCasterSupport.sendNotification() method to dispatch the event.

  Specified by:
    `send` in interface `JmxEventEmitterMBean`
  Parameters:
    `data` - - a data object sent as part of the event parameter.
  Returns:
    a sequence number associated with the emitted event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD